Bug 213765 - Review Request: alex4 - Alex the Allegator 4 - Platform game
Review Request: alex4 - Alex the Allegator 4 - Platform game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-02 16:46 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 10:52:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-02 16:46:57 EST
Spec URL: http://people.atrpms.net/~hdegoede/alex4.spec
SRPM URL: http://people.atrpms.net/~hdegoede/alex4-1.0-1.src.rpm
Description:
In the latest installment of the series Alex travels through the jungle in
search of his kidnapped girlfriend. Plenty of classic platforming in four
nice colors guaranteed!

---

Hmm I just realised this needs work to work properly on PPC (I had to fix some file loading issues on x86_64, but there are endian issues in there too I realise now).

I'll report back here with an updated version for PPC soon.
Comment 1 Paul F. Johnson 2006-11-02 17:31:38 EST
Two quickies.

1. why no _smp_mflags on the make? If it's down to a race condition, can you
comment it please

2.   --add-category X-Fedora  is causing problems for me big style on rawhide.
if you enclose it with a conditional that the branch of fedora is < "7", then
I'm happy

rpmlint is quiet, so that's good :)
Comment 2 Paul F. Johnson 2006-11-03 03:23:18 EST
rpmlint is quiet
builds fine in mock

Review - note, that you'll need something for #1 before it's approved (though
you can ignore my first comment - I've just seen the smp_mflags!)

Good
spec file clear and in US English
upstream md5 and package md5 are the same
license good
consistent use of macros
permissions fine
update-icon-cache fine
files permissions good
package includes documentation
no-devel package required
package installs and runs fine (x86 and x86_64) - minimal test though

needs work
--add-category X-Fedora annoys the buildsys for rawhide

Fix the needs work and it's good to go.
Comment 3 Hans de Goede 2006-11-03 08:37:27 EST
Thanks for the review!

(In reply to comment #2)
> needs work
> --add-category X-Fedora annoys the buildsys for rawhide
> 

That is no longer a problem as there has been a new desktop-file-utils system in
rawhide for a few days now which fixes this.

> Fix the needs work and it's good to go.

Well what did really need fixing where the endian issues I already reported,
here is a new version with those fixed (no other changes were made):
Spec URL: http://people.atrpms.net/~hdegoede/alex4.spec
SRPM URL: http://people.atrpms.net/~hdegoede/alex4-1.0-2.src.rpm
Comment 4 Paul F. Johnson 2006-11-03 09:59:19 EST
It looks good at this end.

APPROVED
Comment 5 Hans de Goede 2006-11-03 10:52:39 EST
Thanks! Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.